"use strict";
const common_vendor = require("../../common/vendor.js");
const gen_Enums = require("../../gen/Enums.js");
if (!Array) {
  const _easycom_up_icon2 = common_vendor.resolveComponent("up-icon");
  const _easycom_hs_enum_tag2 = common_vendor.resolveComponent("hs-enum-tag");
  (_easycom_up_icon2 + _easycom_hs_enum_tag2)();
}
const _easycom_up_icon = () => "../../node-modules/uview-plus/components/u-icon/u-icon.js";
const _easycom_hs_enum_tag = () => "../hs-enum-tag/hs-enum-tag.js";
if (!Math) {
  (_easycom_up_icon + _easycom_hs_enum_tag)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "hs-level",
  props: ["level"],
  setup(__props) {
    const props = __props;
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: (props == null ? void 0 : props.level) === "Urgent"
      }, (props == null ? void 0 : props.level) === "Urgent" ? {
        b: common_vendor.p({
          name: "info-circle-fill",
          size: "14",
          color: "#EF4444"
        })
      } : {}, {
        c: common_vendor.p({
          value: props == null ? void 0 : props.level,
          Enums: common_vendor.unref(gen_Enums.HouseWorkOrdersLevelEnum)
        }),
        d: common_vendor.n(`status_tab status_tab_${props == null ? void 0 : props.level}`)
      });
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-04613000"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/components/hs-level/hs-level.vue"]]);
wx.createComponent(Component);
